
<?php

#################################################################################
#    PHP-RESIDENCE
#    Copyright (C) 2001-2006 by Marco Maria Francesco De Santis (marco@digitaldruid.net)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#################################################################################

$pag = "modifica_var_contr.php";
$titolo = "Modifica variabili contratto";

include("./dati/dati_connessione.php");
include("./includes/funzioni_$PHPR_DB_TYPE.php");
$numconnessione = connetti_db($PHPR_DB_NAME,$PHPR_DB_HOST,$PHPR_DB_PORT,$PHPR_DB_USER,$PHPR_DB_PASS,$PHPR_LOAD_EXT);
include("./includes/funzioni.php");
include("./includes/sett_gio.php");
$tablenometariffe = $PHPR_TAB_PRE."ntariffe".$anno;
$tableperiodi = $PHPR_TAB_PRE."periodi".$anno;
$tableanni = $PHPR_TAB_PRE."anni";
$tablepersonalizza = $PHPR_TAB_PRE."personalizza";
$tablecontratti = $PHPR_TAB_PRE."contratti";


$id_utente = controlla_login($numconnessione,$PHPR_TAB_PRE,$id_sessione,$nome_utente_phpr,$password_phpr,$anno);
if ($id_utente and $id_utente == 1) {


if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/head.php");
else include("./includes/head.php");


$Euro = nome_valuta();
$stile_soldi = stile_soldi();
$stile_data = stile_data();


$trad_var = "";
function mex2 ($messaggio) {
global $trad_var,$lingua_mex;
if (!$trad_var and $lingua_mex != "ita") {
$linee = @file("./includes/lang/$lingua_mex/visualizza_contratto_var.php");
$num_linee = count($linee);
for ($num1 = 0 ; $num1 < $num_linee ; $num1++) {
$linea = trim(togli_acapo($linee[$num1]));
if (substr($linea,0,1) == '$' and substr($linea,-1,1) == ';' and str_replace("=","",$linea) != $linea) {
$linea = explode("=",$linea);
$trad_var[substr(trim($linea[1]),1,-1)] = substr(trim($linea[0]),1);
} # fine if (substr($linea,0,1) == '$' and...
} # fine for $num1
} # fine if ($lingua != "ita")
if ($trad_var[$messaggio]) $messaggio = $trad_var[$messaggio];
return $messaggio;
} # fine function mex2

include("./includes/variabili_contratto.php");




if ($cambia_qualcosa) {


if ($aggiungi_var_pers) {
$mostra_form_iniziale = "NO";
$continua = "SI";
$nuova_var_pers = str_replace("#%?","",$nuova_var_pers);
if (!$nuova_var_pers) $continua = "NO";
if (ereg_replace("[A-Za-z]","",substr($nuova_var_pers,0,1)) != "") $continua = "NO";
if (ereg_replace("[A-Za-z0-9_]","",$nuova_var_pers) != "") $continua = "NO";
$ultima_parte = explode("_",$nuova_var_pers);
$ultima_parte = (string) $ultima_parte[(count($ultima_parte) - 1)];
if ($ultima_parte != "" and ereg_replace("[0-9]","",$ultima_parte) == "") $continua = "NO";
if ($continua == "SI") {
$tabelle_lock = array("$tablecontratti");
$tabelle_lock = lock_tabelle($tabelle_lock);
$var_esistente = esegui_query("select * from $tablecontratti where tipo = 'var' and testo $LIKE '$nuova_var_pers'");
if (numlin_query($var_esistente) != 0) $continua = "NO";
$lang_dir = opendir("./includes/lang/");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
$file_trad = implode("",@file("./includes/lang/$ini_lingua/visualizza_contratto_var.php"));
if (str_replace("$".$nuova_var_pers." ","",$file_trad) != $file_trad) $continua = "NO";
if (str_replace("$".$nuova_var_pers."=","",$file_trad) != $file_trad) $continua = "NO";
if (str_replace("$".$nuova_var_pers.";","",$file_trad) != $file_trad) $continua = "NO";
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dig))
closedir($lang_dir);
for ($num1 = 0 ; $num1 < $num_var_predef ; $num1++) {
if ($nuova_var_pers == $var_predef[$num1]) $continua = "NO";
} # fine for $num1
if ($continua == "SI") {
$max_var = esegui_query("select max(numero) from $tablecontratti where tipo = 'var'");
if (numlin_query($max_var) != 0) $max_var = (risul_query($max_var,0,0) + 1);
else $max_var = 1;
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('$max_var','var','$nuova_var_pers')");
echo mex("Nuova variabile personalizzata inserita",$pag).".<br>";
} # fine if ($continua == "SI")
unlock_tabelle($tabelle_lock);
} # fine if ($continua == "SI")
if ($continua != "SI") echo mex("I dati inseriti sono <font color=\"red\">errati</font>",$pag).".<br>";
} # fine if ($aggiungi_var_pers)

if ($elimina_var_pers) {
$mostra_form_iniziale = "NO";
$var_pers_elimina = addslashes($var_pers_elimina);
$continua = "SI";
if (controlla_num_pos($var_pers_elimina) != "SI") $continua = "NO";
if ($continua == "SI") {
$tabelle_lock = array("$tablecontratti");
$tabelle_lock = lock_tabelle($tabelle_lock);
$condizioni = esegui_query("select * from $tablecontratti where tipo = 'cond' order by numero");
$num_condizioni = numlin_query($condizioni);
for ($num1 = 0 ; $num1 < $num_condizioni ; $num1++) {
$condizione = risul_query($condizioni,$num1,testo);
$condizione = explode("#%?",$condizione);
if ($condizione[4] == $var_pers_elimina) {
$num_cond = risul_query($condizioni,$num1,numero);
esegui_query("delete from $tablecontratti where numero = '$num_cond' and tipo = 'cond'");
} # fine ($condizione[4] == $var_pers_elimina)
} # fine for $num1
esegui_query("delete from $tablecontratti where numero = '$var_pers_elimina' and tipo = 'var'");
echo mex("Variabile personalizzata eliminata",$pag).".<br>";
unlock_tabelle($tabelle_lock);
} # fine if ($continua == "SI")
else echo mex("I dati inseriti sono <font color=\"red\">errati</font>",$pag).".<br>";
} # fine if ($elimina_var_pers)

if ($aggiungi_cond) {
$mostra_form_iniziale = "NO";
$continua = "SI";
if (@get_magic_quotes_gpc()) {
$val_se = stripslashes($val_se);
$val_allora = stripslashes($val_allora);
} # fine if (@get_magic_quotes_gpc())
$val_se = str_replace("#%?","",$val_se);
$val_allora = str_replace("#%?","",$val_allora);
$val_se = addslashes($val_se);
$val_allora = addslashes($val_allora);
$var_se = addslashes($var_se);
if (controlla_num_pos($var_allora) == "NO") $continua = "NO";
if ($cond != "=" and $cond != "!=") $continua = "NO";
if ($continua == "SI") {
$tabelle_lock = array("$tablecontratti");
$tabelle_lock = lock_tabelle($tabelle_lock);
$var_esistente = esegui_query("select * from $tablecontratti where tipo = 'var' and numero = '$var_allora'");
if (numlin_query($var_esistente) != 1) $continua = "NO";
$var_se_trovata = "NO";
$var_esistente = esegui_query("select * from $tablecontratti where tipo = 'var' and testo = '$var_se'");
if (numlin_query($var_esistente) == 1) $var_se_trovata = "SI";
for ($num1 = 0 ; $num1 < $num_var_predef ; $num1++) {
if (mex2($var_predef[$num1]) == $var_se) $var_se_trovata = "SI";
} # fine for $num1
if ($var_se_trovata != "SI") $continua = "NO";
if ($continua == "SI") {
$max_cond = esegui_query("select max(numero) from $tablecontratti where tipo = 'cond'");
if (numlin_query($max_cond) != 0) $max_cond = (risul_query($max_cond,0,0) + 1);
else $max_cond = 1;
$testo = "if#%?".$var_se."#%?".$cond."#%?".$val_se."#%?".$var_allora."#%?".$val_allora;
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('$max_cond','cond','$testo')");
echo mex("Nuova condizione inserita",$pag).".<br>";
} # fine if ($continua == "SI")
unlock_tabelle($tabelle_lock);
} # fine if ($continua == "SI")
if ($continua != "SI") echo mex("I dati inseriti sono <font color=\"red\">errati</font>",$pag).".<br>";
} # fine if ($aggiungi_cond)

if ($elimina_cond) {
$mostra_form_iniziale = "NO";
$continua = "SI";
if (controlla_num_pos($num_cond) == "NO") $continua = "NO";
if ($continua == "SI") {
$tabelle_lock = array("$tablecontratti");
$tabelle_lock = lock_tabelle($tabelle_lock);
esegui_query("delete from $tablecontratti where numero = '$num_cond' and tipo = 'cond'");
echo mex("Condizione eliminata",$pag).".<br>";
unlock_tabelle($tabelle_lock);
} # fine if ($continua == "SI")
if ($continua != "SI") echo mex("I dati inseriti sono <font color=\"red\">errati</font>",$pag).".<br>";
} # fine if ($elimina_cond)


if ($mostra_form_iniziale == "NO") {
echo "<br><form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"num_contratto\" value=\"$num_contratto\">
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Torna indietro",$pag)."\">
</form>";
} # fine if ($mostra_form_iniziale == "NO")

} # fine if ($cambia_qualcosa)





if ($mostra_form_iniziale != "NO") {


echo "<center><font size=\"+2\"><b>".mex("Variabili personalizzate dei contratti",$pag)."</b></font></center><br><br>";

$variabili_pers = esegui_query("select * from $tablecontratti where tipo = 'var' order by numero");
$num_variabili_pers = numlin_query($variabili_pers);
$option_var_pers = "";
for ($num1 = 0 ; $num1 < $num_variabili_pers ; $num1++) {
$var_pers = risul_query($variabili_pers,$num1,testo);
$num_var_pers = risul_query($variabili_pers,$num1,numero);
$option_var_pers .= "<option value=\"$num_var_pers\">$var_pers</option>";
$var_predef[$num_var_predef] = $var_pers;
$num_var_predef++;
$nome_var[$num_var_pers] = $var_pers;
} # fine for $num1

echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
".mex("Variabili personalizzate",$pag).": ";
if ($option_var_pers) {
echo "<select name=\"var_pers_elimina\">
$option_var_pers
</select>
<input class=\"sbutton\" type=\"submit\" name=\"elimina_var_pers\" value=\"".mex("Elimina",$pag)."\">";
} # fine if ($option_var_pers)
echo "&nbsp;&nbsp;&nbsp;<input name=\"nuova_var_pers\" size=\"20\" maxlength=\"50\" type=\"text\">
<input class=\"sbutton\" type=\"submit\" name=\"aggiungi_var_pers\" value=\"".mex("Aggiungi",$pag)."\">
</form><br>";

if ($option_var_pers) {
echo "<br>".mex("Condizioni",$pag).":<br>
<table><tr><td height=\"5\"></td></tr></table>";
$condizioni = esegui_query("select * from $tablecontratti where tipo = 'cond' order by numero");
$num_condizioni = numlin_query($condizioni);
if ($num_condizioni > 0) {
$tab_cond = "";
for ($num1 = 0 ; $num1 < $num_condizioni ; $num1++) {
$condizione = risul_query($condizioni,$num1,testo);
$num_cond = risul_query($condizioni,$num1,numero);
$condizione = explode("#%?",$condizione);
$tab_cond .= "<tr><td><b>".($num1 + 1)."</b>. ";
if ($condizione[0] == "if") $tab_cond .= mex("Se",$pag);
$tab_cond .= " [".$condizione[1]."] ";
if ($condizione[2] == "=") $tab_cond .= mex("è uguale a",$pag);
if ($condizione[2] == "!=") $tab_cond .= mex("è diverso da",$pag);
$tab_cond .= " \"".$condizione[3]."\" ".mex("allora porre",$pag)."
 [".$nome_var[$condizione[4]]."] ".mex("uguale a",$pag)." \"".$condizione[5]."\".";
$tab_cond .= "</td><td><form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"num_cond\" value=\"$num_cond\">
<input class=\"sbutton\" type=\"submit\" name=\"elimina_cond\" value=\"".mex("Elimina",$pag)."\">
</form></td></tr>";
} # fine for $num1
echo "<table>
$tab_cond
</table><br>";
} # fine if ($num_condizioni > 0)
echo "<table>
<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
<tr><td>".mex("Se",$pag)." </td><td><select name=\"var_se\">";
for ($num1 = 0 ; $num1 < $num_var_predef ; $num1++) {
echo "<option value=\"".mex2($var_predef[$num1])."\">".mex2($var_predef[$num1])."</option>";
} # fine for $num1
echo "</select></td><td><select name=\"cond\">
<option value=\"=\">".mex("è uguale a",$pag)."</option>
<option value=\"!=\">".mex("è diverso da",$pag)."</option>
</select></td><td>
<input name=\"val_se\" size=\"20\" maxlength=\"750\" type=\"text\"></td><td>
".str_replace(" ","&nbsp;",mex("allora porre",$pag))."</td><td>
<select name=\"var_allora\">
$option_var_pers
</select></td><td>
".str_replace(" ","&nbsp;",mex("uguale a",$pag))."</td><td>
<input name=\"val_allora\" size=\"20\" maxlength=\"750\" type=\"text\"></td><td>
<input class=\"sbutton\" type=\"submit\" name=\"aggiungi_cond\" value=\"".mex("Aggiungi",$pag)."\">
</td></tr></form></table>
<br>";
} # fine if ($option_var_pers)

echo "<br><hr width=\"95%\"><br><center>
<form accept-charset=\"utf-8\" method=\"post\" action=\"personalizza.php#contratti\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Torna indietro",$pag)."\">
</form></center>";


} # fine if ($mostra_form_iniziale != "NO")




if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/foot.php");
else include("./includes/foot.php");


} # fine if ($id_utente and $id_utente == 1)



?>
